Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
Affiliation Display Details »
Affiliation Display
Mod Version: 4.5, by TheInsaneManiac (Coder/Designer) TheInsaneManiac is offline
Developer Last Online: Sep 2019 I like it Show Printable Version Email this Page

This modification is in the archives.
vB Version: 3.7.x Rating: (5 votes - 4.60 average) Installs: 90
Released: 02 Jul 2008 Last Update: 25 Dec 2009 Downloads: 997
Supported Uses Plugins Auto-Template Additional Files  

3.8.x version can be found HERE.

Do you have so many affiliates that you just can't keep them all together on one line? Then this modification is for you! It uses a marquee to display your affiliates in it's own box in the "What's Going On?" area. The marquee is set up to stop when you hover over an affiliate and start back up when you are no longer hovering over an affiliate.

Edit your affiliate links and images via the AdminCP.


Installation
1.) Upload the contents of the "upload" folder to your forums root directory.
2.) Import the product-adblockalert.xml.
3.) Use this code as a guideline to displaying your affiliates:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

4.) Mark Installed. =]


Upgrade
For 4.5 and above import the product and select Allow Overwrite.

For anything previous to 4.5 you need to copy your affiliation_code and gfxaffiliation_code somewhere safe, then uninstall the old product, and install the latest. From there just transfer your codes to the AdminCP.


Display Issues
Some styles may not display the product correctly or you may wish to move it to a completely different area of the FORUMHOME. If this is the case import the disable automatic template edits via the AdminCP.

You then will need to find the following code in your FORUMHOME template:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Add after:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

If you wish to display it somewhere else within your FORUMHOME template then just place $affiliation anywhere you wish inside your FORUMHOME template.


Changelog
4.5
Code rewritten.
Upgrading is now simpler.
Version checking is now enabled.
Option added to AdminCP to allow you to edit the affiliation code.
Option added to AdminCP to allow you to edit the gfx affiliation code.
Option added to AdminCP to allow you to enable/disable the marquee.
Option added to AdminCP to allow you to set the speed of the marquee.
Option added to AdminCP to allow you to set the speed of the marquee when hovering.
Option added to AdminCP to allow you to enable/disable automatic template edits.
AdminCP screenshot added.

4.0
Now works on both 3.7.x and 3.8.x.

3.5
Loads only on FORUMHOME now to reduce non needed queries from executing.

3.0
Added the hooks back.

2.0
Added an option for an extra affiliate bar for GFX affiliates (Requested).

1.5
Recoded the way the script is inserted.

1.2
Created new icons.

1.1
Fixed a spacing issue.

1.0
Released.

Download Now

Only licensed members can download files, Click Here for more information.

Screenshots

Click image for larger version

Name:	Affiliation.jpg
Views:	2794
Size:	18.6 KB
ID:	83408   Click image for larger version

Name:	Affiliation AdminCP.jpg
Views:	40
Size:	100.2 KB
ID:	108167  

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • If you like this modification support the author by donating.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
  #61  
Old 09 Jan 2009, 08:41
DawnsWebDesigns's Avatar
DawnsWebDesigns DawnsWebDesigns is offline
 
Join Date: Feb 2008
Real name: Dawn
I didn't see you'd updated this so I had your old version installed. Even though I upgraded to 3.8.0 it still worked fine but I see you updated so I tried to update & now it won't accept this product at all.
Reply With Quote
  #62  
Old 14 Jan 2009, 05:53
TheInsaneManiac TheInsaneManiac is offline
 
Join Date: Feb 2008
Originally Posted by DawnsWebDesigns View Post
I didn't see you'd updated this so I had your old version installed. Even though I upgraded to 3.8.0 it still worked fine but I see you updated so I tried to update & now it won't accept this product at all.
Uninstall and reinstall.
Reply With Quote
  #63  
Old 17 Jan 2009, 02:22
AtomicFPS AtomicFPS is offline
 
Join Date: Dec 2008
Hi,

The following dependencies were not met:

1. This product is not compatible with version 3.8.0 of vBulletin. (Compatible starting with 3.7.0 / Incompatible with 3.7.9 and greater)
Do you have a vb 3.8.0 version?
Reply With Quote
  #64  
Old 17 Jan 2009, 12:00
Eneswar Eneswar is offline
 
Join Date: Dec 2005
This is not working for me, 1.1 version worked, but i got SQL error so i upgraded to 2.0 and it just isnt showing up. It does show up on the default style but not the one we use, I did try to add the $affiliation but still no go, still doesnt show up... What to do?
Reply With Quote
  #65  
Old 22 Jan 2009, 13:25
Eneswar Eneswar is offline
 
Join Date: Dec 2005
Anyone about the issue above? or can you just give me the version 1.1, cuz that worked...
Reply With Quote
  #66  
Old 23 Jan 2009, 03:33
TheInsaneManiac TheInsaneManiac is offline
 
Join Date: Feb 2008
Originally Posted by Eneswar View Post
Anyone about the issue above? or can you just give me the version 1.1, cuz that worked...
I'm working on the 3.8 version and will implement the $affiliation back in once I have some free time. I have plans this weekend so here's a temporary fix. In your custom style make sure you have the following hook in your FORUMHOME:
$template_hook[forumhome_wgo_pos5]

If you do not find:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Add after:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Reply With Quote
  #67  
Old 23 Jan 2009, 15:44
Freddy.k's Avatar
Freddy.k Freddy.k is offline
 
Join Date: Mar 2008
Merci cool
Reply With Quote
  #68  
Old 23 Jan 2009, 21:13
TheInsaneManiac TheInsaneManiac is offline
 
Join Date: Feb 2008
Originally Posted by Eneswar View Post
This is not working for me, 1.1 version worked, but i got SQL error so i upgraded to 2.0 and it just isnt showing up. It does show up on the default style but not the one we use, I did try to add the $affiliation but still no go, still doesnt show up... What to do?
I have updated the plugin to support $affiliation again. If it does not work for you PM me and I will provide you with the 1.1 version.
Reply With Quote
  #69  
Old 24 Jan 2009, 00:17
Eneswar Eneswar is offline
 
Join Date: Dec 2005
Thanks alot now it works
Reply With Quote
  #70  
Old 24 Jan 2009, 05:49
TheInsaneManiac TheInsaneManiac is offline
 
Join Date: Feb 2008
Originally Posted by Eneswar View Post
Thanks alot now it works
Np dude.
Reply With Quote
  #71  
Old 07 Feb 2009, 08:46
freewilley's Avatar
freewilley freewilley is offline
 
Join Date: Jan 2009
how to stop the marquee text?
Reply With Quote
  #72  
Old 08 Feb 2009, 21:54
GeekStep GeekStep is offline
 
Join Date: Dec 2008
How to make it presist through out all the pages

I need this on all pages
Reply With Quote
  #73  
Old 17 Feb 2009, 03:11
benny92000 benny92000 is offline
 
Join Date: Dec 2008
Thanks, installed! i was on the old 1.1 version, and when i upgraded it didnt work cause the templates were still on 1.1, then vbulletin said to revert the templates and it works good now.. Great modification.
Reply With Quote
  #74  
Old 22 Mar 2009, 15:47
Crystal Shards's Avatar
Crystal Shards Crystal Shards is offline
 
Join Date: Nov 2006
Location: Illinois
Real name: Crystal
The following dependencies were not met:
  1. This product is not compatible with version 3.8.1 of vBulletin. (Compatible starting with 3.7.0 / Incompatible with 3.7.9 and greater)
Ummmm.
__________________
Mercury Ice - A place to chill.
Reply With Quote
  #75  
Old 25 Mar 2009, 00:04
Tophon Tophon is offline
 
Join Date: Jan 2009
Same here..

The following dependencies were not met:

1. This product is not compatible with version 3.8.1 of vBulletin. (Compatible starting with 3.7.0 / Incompatible with 3.7.9 and greater)
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 10:20.

Layout Options | Width: Wide Color: